Bug 595491 - SELinux is preventing /sbin/mount.cifs "dac_read_search" access .
Summary: SELinux is preventing /sbin/mount.cifs "dac_read_search" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d2d0ffa2d68...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 19:23 UTC by David Alan Hjelle
Modified: 2010-06-08 19:27 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:27:25 UTC


Attachments (Terms of Use)

Description David Alan Hjelle 2010-05-24 19:23:34 UTC
Summary:

SELinux is preventing /sbin/mount.cifs "dac_read_search" access .

Detailed Description:

SELinux denied access requested by mount.cifs. It is not expected that this
access is required by mount.cifs and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:mount_t:s0
Target Context                system_u:system_r:mount_t:s0
Target Objects                None [ capability ]
Source                        mount.cifs
Source Path                   /sbin/mount.cifs
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           cifs-utils-4.4-3.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux wimsey 2.6.33.3-85.fc13.x86_64 #1 SMP Thu
                              May 6 18:09:49 UTC 2010 x86_64 x86_64
Alert Count                   11
First Seen                    Thu 20 May 2010 09:13:04 AM CDT
Last Seen                     Mon 24 May 2010 02:07:34 PM CDT
Local ID                      d18c4902-bf6d-48b9-a49a-484f0c6dd491
Line Numbers                  

Raw Audit Messages            

node=wimsey type=AVC msg=audit(1274728054.9:7): avc:  denied  { dac_read_search } for  pid=1540 comm="mount.cifs" capability=2  scontext=system_u:system_r:mount_t:s0 tcontext=system_u:system_r:mount_t:s0 tclass=capability

node=wimsey type=SYSCALL msg=audit(1274728054.9:7): arch=c000003e syscall=80 success=no exit=-13 a0=7fffcd24eeac a1=7f232bbac6fc a2=0 a3=7fffcd24e7e0 items=0 ppid=1539 pid=1540 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="mount.cifs" exe="/sbin/mount.cifs" subj=system_u:system_r:mount_t:s0 key=(null)



Hash String generated from  catchall,mount.cifs,mount_t,mount_t,capability,dac_read_search
audit2allow suggests:

#============= mount_t ==============
allow mount_t self:capability dac_read_search;

Comment 1 Daniel Walsh 2010-05-24 21:18:33 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.7.19-22.fc13.noarch

Comment 2 David Alan Hjelle 2010-05-25 15:33:55 UTC
Great--thanks!

Comment 3 Fedora Update System 2010-05-28 12:27:06 UTC
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 4 Fedora Update System 2010-05-31 18:19:04 UTC
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 5 Fedora Update System 2010-06-02 18:10:51 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13

Comment 6 Fedora Update System 2010-06-08 19:25:38 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.